# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-19 08:39
from __future__ import unicode_literals

import django.db.models.deletion
import wagtail.core.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('wagtailcore', '0040_page_draft_title'),
        ('wagtailimages', '0019_delete_filter'),
    ]

    operations = [
        migrations.CreateModel(
            name='AboutUsPage',
            fields=[
                ('page_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('title_en',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255,
                                  null=True, verbose_name='title')),
                ('title_fr',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255,
                                  null=True, verbose_name='title')),
                ('slug_en', models.SlugField(allow_unicode=True,
                                             help_text=('The name of the page as it will appear in URLs ',
                                                        'e.g http://domain.com/blog/[my-slug]/'),
                                             max_length=255, null=True, verbose_name='slug')),
                ('slug_fr', models.SlugField(allow_unicode=True,
                                             help_text=('The name of the page as it will appear in URLs ',
                                                        'e.g http://domain.com/blog/[my-slug]/'),
                                             max_length=255, null=True, verbose_name='slug')),
                ('url_path_en', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('url_path_fr', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('seo_title_en', models.CharField(blank=True,
                                                  help_text=("Optional. 'Search Engine Friendly' title. This will ",
                                                             "appear at the top of the browser window."),
                                                  max_length=255, null=True, verbose_name='page title')),
                ('seo_title_fr', models.CharField(blank=True,
                                                  help_text=("Optional. 'Search Engine Friendly' title. This will ",
                                                             "appear at the top of the browser window."),
                                                  max_length=255, null=True, verbose_name='page title')),
                ('search_description_en', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('search_description_fr', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('intro', wagtail.core.fields.RichTextField(blank=True)),
                ('intro_en', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('intro_fr', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('floriane_description', wagtail.core.fields.RichTextField(blank=True)),
                ('floriane_description_en', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('floriane_description_fr', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('francois_description', wagtail.core.fields.RichTextField(blank=True)),
                ('francois_description_en', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('francois_description_fr', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('floriane_picture',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+',
                                   to='wagtailimages.Image', verbose_name="Floriane's picture")),
                ('francois_picture',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+',
                                   to='wagtailimages.Image', verbose_name="François' picture")),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
    ]
